aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-04 15:31:45 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2006-12-04 15:31:45 +0000
commit77acc86ef446c4ffc1aa1a5d30dfa8816def0093 (patch)
treec73bcdc0d821b744db3a45ac06fc9d5a8c2eb502
parent335b188350e8639d079c091e07b454a95c4c8759 (diff)
downloadslackbuilds-77acc86ef446c4ffc1aa1a5d30dfa8816def0093.tar.gz
slackbuilds-77acc86ef446c4ffc1aa1a5d30dfa8816def0093.tar.bz2
added perl-array-compare
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@771 370017ae-e619-0410-ac65-c121f96126d4
-rwxr-xr-xdev/perl/perl-array-compare/perl-array-compare.SlackBuild30
-rwxr-xr-xdev/perl/perl-array-compare/perl-array-compare.build106
-rw-r--r--dev/perl/perl-array-compare/slack-required1
3 files changed, 137 insertions, 0 deletions
diff --git a/dev/perl/perl-array-compare/perl-array-compare.SlackBuild b/dev/perl/perl-array-compare/perl-array-compare.SlackBuild
new file mode 100755
index 00000000..c1f83dc4
--- /dev/null
+++ b/dev/perl/perl-array-compare/perl-array-compare.SlackBuild
@@ -0,0 +1,30 @@
+#!/bin/bash
+#
+# SlackBuild script to call perl-array-compare.build with correct settings
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="perl-array-compare"
+VERSION=${VERSION:=1.13}
+ARCH=${ARCH:=i386}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE $REPOS
+
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP/$PACKAGE
+fi
diff --git a/dev/perl/perl-array-compare/perl-array-compare.build b/dev/perl/perl-array-compare/perl-array-compare.build
new file mode 100755
index 00000000..e75b0510
--- /dev/null
+++ b/dev/perl/perl-array-compare/perl-array-compare.build
@@ -0,0 +1,106 @@
+#!/bin/bash
+#
+# build script for perl-array-compare
+# by rhatto at riseup.net by rhatto | gpl
+
+CWD="`pwd`"
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building ekiga are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+NAME="Array::Compare"
+PACKAGE="perl-`echo $NAME | sed -e 's/::/-/g' | tr '[:upper:]' '[:lower:]'`"
+TMP=${TMP:=/tmp}
+VERSION=${VERSION:=2.001}
+ARCH=${ARCH:=i386}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+FILE_NAME="`echo $NAME | sed -e 's/::/-/g'`"
+SRC="$FILE_NAME-$VERSION.tar.gz"
+URL="http://search.cpan.org/CPAN/authors/id/D/DA/DAVECROSS/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $FILE_NAME-$VERSION
+
+# config and install!
+mkdir -p /install
+
+perl Makefile.PL
+make
+make test
+make install
+
+# make the package
+
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+perl-array-compare: perl-array-compare (Perl extension for comparing arrays)
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+perl-array-compare:
+EOF
+
diff --git a/dev/perl/perl-array-compare/slack-required b/dev/perl/perl-array-compare/slack-required
new file mode 100644
index 00000000..804c2841
--- /dev/null
+++ b/dev/perl/perl-array-compare/slack-required
@@ -0,0 +1 @@
+perl-module-build